/***********************************************
* Programma per conteggio display 7 sementi    *
* Gestione firmware con sensibilit al fronte  *
*                                              *
*   Firmware version:1.0                       *
*   autore: Francesco Tagliapietra             *
*   Data:02/03/2013                            *
*   Interfaccia controllo diretto dei segmenti *
*   MCU: 16F877A                               *
*   Piattaforma hardware: Micro-GT IDE         *
*   Piattaforma software: MPLAB v8.89          *
***********************************************/

#define _LEGACY_HEADERS // permette il riconoscimento dei fuses nei nuovi compilatori


#include <pic.h>
#include "delay.h"
#include "settaggi.h"
#include "decoder7seg.h"

__CONFIG (HS & WDTEN & PWRTDIS & BORDIS & LVPEN & DUNPROT & WRTEN & DEBUGDIS & UNPROTECT); // Fuses impostazioni al sistema


void settaggi();

#define P1 RA0


void main(){
 settaggi();
 PORTB=0b00111111;
 unsigned char conta;
 conta=0;
 char cont=0;

 	while(1){
	 	if (P1==0){
	 	DelayMs(50);
	 		if (P1==0){
				cont++;
				if (cont<2) {
		 		if (conta<=6) {conta=conta+1;}//finch sono sotto a 9 incremento di 1
	 			if (conta>6) {conta=0;}
	 			decoder7seg(conta);
				}

	 						
	 		}
	 		else {
	 		cont=0;
	 		}
	 	}
		
 	
 CLRWDT(); //resetta il watch dog timer
 }
}